# Default values for chart.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.
replicaCount: 2
strategyType:
# `serviceAccountName` is deprecated in favor of `serviceAccount.name`
serviceAccountName:
image:
  repository: gitlab.example.com/group/project
  tag: stable
  pullPolicy: IfNotPresent
  secrets:
    - name: gitlab-registry
extraLabels: {}

caddy:
  image:
    repository: caddy
    pullPolicy: IfNotPresent
    # Overrides the image tag whose default is the chart appVersion.
    tag: "2-alpine"

mercure:
  publicUrl: https://mercure.broken.fr/.well-known/mercure
  # Change me!
  jwtSecret: "!ChangeMe!"
  corsAllowedOrigins: "^https?://.*?\\.mercure\\.broken\\.fr$"

lifecycle:
  postStart:
    exec:
      #command: [ "/bin/sh", "-c", "composer run-script auto-scripts > /dev/termination-log && php bin/console do:mi:mi > /dev/termination-log && cp -r /var/www/public/. /var/www/html > /dev/termination-log && chown -R www-data:www-data /var/www/html > /dev/termination-log" ]
      command: [ "/bin/sh", "-c", "cp -r /var/www/public/. /var/www/html > /dev/termination-log && chown -R www-data:www-data /var/www/html > /dev/termination-log" ]
# preStop:
#   exec:
#     command: ["/bin/sh", "-c", "sleep 10"]
podAnnotations: {}
#nodeSelector:
#  kubernetes.io/arch: amd64
affinity: {}
#tolerations:
#  - key: "arch"
#    operator: "Equal"
#    value: "amd64"
#    effect: "NoSchedule"
initContainers: []
# - name: init-myservice
#   image: busybox
#   command: ['sh', '-c', 'until nslookup myservice; do echo waiting for myservice to start; sleep 1; done;']
application:
  track: stable
  tier: web
  migrateCommand: "php bin/console do:mi:mi --no-interaction"
  initializeCommand:
  secretName:
  secretChecksum:
  secrets: []
hpa:
  enabled: false
  minReplicas: 1
  maxReplicas: 5
  targetCPUUtilizationPercentage: 80
gitlab:
  app: doggobox
  env:
  envName:
  envURL:
  projectID:
service:
  enabled: true
  annotations: {
    nginx.ingress.kubernetes.io/use-regex: "true",
    nginx.ingress.kubernetes.io/affinity: "cookie",
    nginx.ingress.kubernetes.io/affinity-mode: "persistent",
    nginx.ingress.kubernetes.io/session-cookie-name: "PHPSESSID",
    nginx.ingress.kubernetes.io/session-cookie-path: "/",
    nginx.ingress.kubernetes.io/session-cookie-samesite: "Lax",
    nginx.ingress.kubernetes.io/session-cookie-expires: "172800000",
    nginx.ingress.kubernetes.io/session-cookie-max-age: "172800000",
    loadbalancer.openstack.org/x-forwarded-for: "true"
  }
  name: web
  type: ClusterIP
  url: http://my.host.com/
  additionalHosts:
  commonName:
  externalPort: 80
  internalPort: 80
ingress:
  enabled: true
  path: "/"
  tls:
    enabled: true
    acme: true
    secretName: ""
    useDefaultSecret: false
  annotations:
    kubernetes.io/ingress.class: "nginx"
    nginx.org/client-max-body-size: "50m"
    nginx.ingress.kubernetes.io/proxy-body-size: "0"
    loadbalancer.openstack.org/x-forwarded-for: "true"
#    nginx.ingress.kubernetes.io/enable-opentracing: "true"
#    nginx.ingress.kubernetes.io/opentracing-trust-incoming-span: "true"
#    nginx.ingress.kubernetes.io/jaeger-collector-host: jaeger-operator-jaeger-agent.elastic-stack.svc.cluster.local
  modSecurity:
    enabled: false
    secRuleEngine: "DetectionOnly"
    # secRules:
    #   - variable: ""
    #     operator: ""
    #     action: ""
  canary:
    weight:
prometheus:
  metrics: false

resources:
#  limits:
#    cpu: 100m
#    memory: 128Mi
  requests: {}
#    cpu: 100m
#    memory: 128Mi

## Configure PodDisruptionBudget
## ref: https://kubernetes.io/docs/concepts/workloads/pods/disruptions/
#
podDisruptionBudget:
  enabled: false
  # minAvailable: 1
  maxUnavailable: 1

## Configure NetworkPolicy
## ref: https://kubernetes.io/docs/concepts/services-networking/network-policies/
#
networkPolicy:
  enabled: false
  spec:
    podSelector:
      matchLabels: {}
    ingress:
    - from:
      - podSelector:
          matchLabels: {}
      - namespaceSelector:
          matchLabels:
            app.gitlab.com/managed_by: gitlab

ciliumNetworkPolicy:
  enabled: false
  alerts:
    enabled: false
  spec:
    endpointSelector: {}
    ingress:
    - fromEndpoints:
      - matchLabels:
          app.gitlab.com/managed_by: gitlab

serviceAccount:
  name:
  annotations: {}
  createNew: false

workers:
   worker:
     replicaCount: 1
     terminationGracePeriodSeconds: 60
     command:
     - php
     - bin/console
     - messenger:consume
     - async
  #   nodeSelector: {}
  #   tolerations: []
  #   initContainers: []
     livenessProbe:
       initialDelaySeconds: 15
       timeoutSeconds: 2
       probeType: "exec"
#       port: 9000
       command :
       - /bin/sh
       - -c
       - ps -A | grep messenger:consume | grep -v grep
     readinessProbe:
       initialDelaySeconds: 15
       timeoutSeconds: 2
       probeType: "exec"
       #       port: 9000
       command :
         - /bin/sh
         - -c
         - ps -A | grep messenger:consume | grep -v grep
  #   lifecycle:
  #     preStop:
  #       exec:
  #         command: ["/bin/sh", "-c", "sleep 10"]
  #   preStopCommand:
  #   - /bin/herokuish
  #   - procfile
  #   - start
  #   - stop_worker

storage:
  ## Set persistentVolumenClaimName to reference an existing PVC
  persistentVolumeClaimName:

  ## Alternative set requestedSize to define a size for a dynmaically created PVC
  requestedSize: 1Gi

  ## the storage class name
  className:

  ## Default access mode (ReadWriteOnce)
  accessModes:
    - ReadWriteMany

  ## Keep a created Persistent volume claim when uninstalling the helm chart
  keepPvc: true
